Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055730 - Review Request: vdr-iptv - multicast IPTV transport stream plugin for VDR
Summary: Review Request: vdr-iptv - multicast IPTV transport stream plugin for VDR
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mohamed El Morabity
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: DebugInfo
TreeView+ depends on / blocked
 
Reported: 2014-01-20 20:16 UTC by MartinKG
Modified: 2014-02-25 07:55 UTC (History)
3 users (show)

Fixed In Version: vdr-iptv-2.0.2-7.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-25 07:55:44 UTC
pikachu.2014: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description MartinKG 2014-01-20 20:16:36 UTC
Description: 
This plugin integrates multicast IPTV transport streams seamlessly into
VDR. You can use any IPTV channel like any other normal DVB channel for
live viewing, recording, etc. The plugin also features full section
filtering capabilities which allow for example EIT information to be
extracted from the incoming stream.

Fedora Account System Username: martinkg

Spec URL: http://martinkg.fedorapeople.org/Review/SPECS/vdr-iptv.spec
SRPM URL: http://martinkg.fedorapeople.org/Review/SRPMS/vdr-iptv-2.0.2-1.fc20.src.rpm

Comment 1 Mohamed El Morabity 2014-02-03 16:04:49 UTC
Some comments:

- same issue than in vdr-tvguide review: since the package is written in C++, and since the CXXFLAGS variable is handled by the plugin Makefile, you must also set CXXFLAGS when calling make, to keep consistency on build flags:
    make CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" ...
  You should even add -fPIC to both CFLAGS and CXXFLAGS to handle build issues on x86_64 platforms.

- the scripts deployed in %{vdr_configdir}/plugins/iptv/ can be called from channels.conf when an IPTV channel is selected from VDR. Most of them are demo scripts; they must be modified/copied to fit users' needs. I wonder if it's worth marking them as %config(noreplace) so these scripts wouldn't be overwritten by further updates if they were modified. Notice it's not a must, only a suggestion.

- among those scripts, vlc2iptv contains a bad path to channels.conf. This script should probably be modified to refer to the right path to channels.conf, as defined by Fedora:

%prep
%setup -q -n %{vdr_plugin}-%{version}

# Fix paths in plugin scripts
sed -i "s|^CHANNELS_CONF=.*|CHANNELS_CONF=%{vdr_configdir}/channels.conf|; \
        s|^CHANNEL_SETTINGS_DIR=.*/iptv|CHANNEL_SETTINGS_DIR=%{vdr_configdir}/plugins/%{vdr_plugin}|" \
        iptv/vlc2iptv

Comment 2 MartinKG 2014-02-03 16:20:33 UTC
Spec URL: http://martinkg.fedorapeople.org/Review/SPECS/vdr-iptv.spec
SRPM URL: http://martinkg.fedorapeople.org/Review/SRPMS/vdr-iptv-2.0.2-3.fc20.src.rpm

%changelog
* Mon Feb 03 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.0.2-3
- added compiler flags in build section
- fixed paths in plugin scripts for channels.conf

Comment 3 Mohamed El Morabity 2014-02-03 16:37:41 UTC
The plugin doesn't rely on gettext libraries to handle locales. Only xgettext and msgmerge executables (from gettext package) are called by Makefile to build .mo files. As a result, replacing gettext-devel by gettext in BuildRequires may be enough to handle locales at compilation.

I don't think a sysconfig file for iptv is really useful:
- the plugin documentation doesn't mention any launch options to set up the plugin at VDR launch;
- I didn't find any reference to launch options in the source code.
So you can probably drop the iptv.conf file installation.

Comment 4 MartinKG 2014-02-03 17:14:29 UTC
Spec URL: http://martinkg.fedorapeople.org/Review/SPECS/vdr-iptv.spec
SRPM URL: http://martinkg.fedorapeople.org/Review/SRPMS/vdr-iptv-2.0.2-4.fc20.src.rpm

%changelog
* Mon Feb 03 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.0.2-4
- replaced gettext-devel by gettext in BuildRequires
- dropped iptv.conf file

Comment 5 Mohamed El Morabity 2014-02-04 15:46:38 UTC
(In reply to Mohamed El Morabity from comment #1)
> - the scripts deployed in %{vdr_configdir}/plugins/iptv/ can be called from
> channels.conf when an IPTV channel is selected from VDR. Most of them are
> demo scripts; they must be modified/copied to fit users' needs. I wonder if
> it's worth marking them as %config(noreplace) so these scripts wouldn't be
> overwritten by further updates if they were modified. Notice it's not a
> must, only a suggestion.

Do you have any comment on this?

Comment 6 MartinKG 2014-02-04 16:52:56 UTC
(In reply to Mohamed El Morabity from comment #1)

> - the scripts deployed in %{vdr_configdir}/plugins/iptv/ can be called from
> channels.conf when an IPTV channel is selected from VDR. Most of them are
> demo scripts; they must be modified/copied to fit users' needs.
agreed

> I wonder if it's worth marking them as %config(noreplace) so these scripts
> wouldn't be overwritten by further updates if they were modified.
> Notice it's not a must, only a suggestion.
agree absolutely, removed this.

Comment 7 Mohamed El Morabity 2014-02-11 09:41:17 UTC
(In reply to MartinKG from comment #6)
> > I wonder if it's worth marking them as %config(noreplace) so these scripts
> > wouldn't be overwritten by further updates if they were modified.
> > Notice it's not a must, only a suggestion.
> agree absolutely, removed this.
Since these files are intended to be modified, I think they should be marked as %config(noreplace), on the contrary.

Comment 8 MartinKG 2014-02-11 10:07:03 UTC
(In reply to Mohamed El Morabity from comment #7)
> (In reply to MartinKG from comment #6)
> > > I wonder if it's worth marking them as %config(noreplace) so these scripts
> > > wouldn't be overwritten by further updates if they were modified.
> > > Notice it's not a must, only a suggestion.
> > agree absolutely, removed this.
> Since these files are intended to be modified, I think they should be marked
> as %config(noreplace), on the contrary.

hope this is correct now

changed to:
%config(noreplace) %{vdr_configdir}/plugins/iptv/*.sh
%config(noreplace) %{vdr_configdir}/plugins/iptv/vlc2iptv

Spec URL: https://dl.dropboxusercontent.com/s/r9ugj1tsz7erxob/vdr-iptv.spec
SRPM URL: https://dl.dropboxusercontent.com/s/m4ycxdptm3846bp/vdr-iptv-2.0.2-2.fc20.src.rpm

%changelog
* Tue Feb 11 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.0.2-2
- added noreplace to prevent config files to be overwritten


rpmlint vdr-iptv-2.0.2-2.fc20.x86_64.rpm
vdr-iptv.x86_64: W: spelling-error %description -l en_US multicast -> Multics, simulcast
vdr-iptv.x86_64: E: executable-marked-as-config-file /etc/vdr/plugins/iptv/iptvstream.sh
vdr-iptv.x86_64: E: executable-marked-as-config-file /etc/vdr/plugins/iptv/linein.sh
vdr-iptv.x86_64: E: executable-marked-as-config-file /etc/vdr/plugins/iptv/vlc2iptv
vdr-iptv.x86_64: E: executable-marked-as-config-file /etc/vdr/plugins/iptv/iptvstream-notrap.sh
vdr-iptv.x86_64: E: executable-marked-as-config-file /etc/vdr/plugins/iptv/image.sh
vdr-iptv.x86_64: E: executable-marked-as-config-file /etc/vdr/plugins/iptv/webcam.sh
vdr-iptv.x86_64: E: executable-marked-as-config-file /etc/vdr/plugins/iptv/internetradio.sh
1 packages and 0 specfiles checked; 7 errors, 1 warnings.

Comment 9 Mohamed El Morabity 2014-02-12 09:28:56 UTC
> rpmlint vdr-iptv-2.0.2-2.fc20.x86_64.rpm
> vdr-iptv.x86_64: W: spelling-error %description -l en_US multicast ->
> Multics, simulcast
> vdr-iptv.x86_64: E: executable-marked-as-config-file
> /etc/vdr/plugins/iptv/iptvstream.sh
> vdr-iptv.x86_64: E: executable-marked-as-config-file
> /etc/vdr/plugins/iptv/linein.sh
> vdr-iptv.x86_64: E: executable-marked-as-config-file
> /etc/vdr/plugins/iptv/vlc2iptv
> vdr-iptv.x86_64: E: executable-marked-as-config-file
> /etc/vdr/plugins/iptv/iptvstream-notrap.sh
> vdr-iptv.x86_64: E: executable-marked-as-config-file
> /etc/vdr/plugins/iptv/image.sh
> vdr-iptv.x86_64: E: executable-marked-as-config-file
> /etc/vdr/plugins/iptv/webcam.sh
> vdr-iptv.x86_64: E: executable-marked-as-config-file
> /etc/vdr/plugins/iptv/internetradio.sh
> 1 packages and 0 specfiles checked; 7 errors, 1 warnings.
This is acceptable. Those scripts must be executable by the plugin.

It looks like the last .spec and the .src.rpm files you posted lost all the fixes I suggested before:
- missing -fPIC in compilation flags (see comment #1)
- iptv.conf still installed (see #3)
- BR on gettext-devel still there (see #3)
Could you please upload an updated .spec file with all the fixes above? Don't forget also to add %config(noreplace) for all the scripts.
I will then review (at last!) your package.

Comment 10 MartinKG 2014-02-12 10:27:16 UTC
(In reply to Mohamed El Morabity from comment #9)
 
> It looks like the last .spec and the .src.rpm files you posted lost all the
> fixes I suggested before:
> - missing -fPIC in compilation flags (see comment #1)
> - iptv.conf still installed (see #3)
> - BR on gettext-devel still there (see #3)
> Could you please upload an updated .spec file with all the fixes above?
> Don't forget also to add %config(noreplace) for all the scripts.
> I will then review (at last!) your package.

sorry for my mistake, new spec and srpm uploaded.

Spec URL: https://dl.dropboxusercontent.com/s/r9ugj1tsz7erxob/vdr-iptv.spec
SRPM URL: https://dl.dropboxusercontent.com/s/fvqp5sc0kl4ixzx/vdr-iptv-2.0.2-5.fc20.src.rpm

Comment 11 Mohamed El Morabity 2014-02-12 12:14:26 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GPL (v2 or later)", "GPL (v2 or later)", "Unknown or
     generated". 36 files have unknown license. Detailed output of
     licensecheck in /home/mohamed/1055730-vdr-iptv/licensecheck.txt
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/vdr/plugins/iptv
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[-]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.
     -> Would need to fix the upstream Makefile
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: vdr-iptv-2.0.2-5.fc20.x86_64.rpm
          vdr-iptv-2.0.2-5.fc20.src.rpm
vdr-iptv.x86_64: W: spelling-error %description -l en_US multicast -> Multics, simulcast
vdr-iptv.x86_64: E: executable-marked-as-config-file /etc/vdr/plugins/iptv/iptvstream.sh
vdr-iptv.x86_64: E: executable-marked-as-config-file /etc/vdr/plugins/iptv/linein.sh
vdr-iptv.x86_64: E: executable-marked-as-config-file /etc/vdr/plugins/iptv/vlc2iptv
vdr-iptv.x86_64: E: executable-marked-as-config-file /etc/vdr/plugins/iptv/iptvstream-notrap.sh
vdr-iptv.x86_64: E: executable-marked-as-config-file /etc/vdr/plugins/iptv/image.sh
vdr-iptv.x86_64: E: executable-marked-as-config-file /etc/vdr/plugins/iptv/webcam.sh
vdr-iptv.x86_64: E: executable-marked-as-config-file /etc/vdr/plugins/iptv/internetradio.sh
vdr-iptv.src: W: spelling-error %description -l en_US multicast -> Multics, simulcast
2 packages and 0 specfiles checked; 7 errors, 2 warnings.
->As said above, these warnings are OK



Rpmlint (installed packages)
----------------------------
# rpmlint vdr-iptv
vdr-iptv.x86_64: W: spelling-error %description -l en_US multicast -> Multics, simulcast
vdr-iptv.x86_64: E: executable-marked-as-config-file /etc/vdr/plugins/iptv/iptvstream.sh
vdr-iptv.x86_64: E: executable-marked-as-config-file /etc/vdr/plugins/iptv/linein.sh
vdr-iptv.x86_64: E: executable-marked-as-config-file /etc/vdr/plugins/iptv/vlc2iptv
vdr-iptv.x86_64: E: executable-marked-as-config-file /etc/vdr/plugins/iptv/iptvstream-notrap.sh
vdr-iptv.x86_64: E: executable-marked-as-config-file /etc/vdr/plugins/iptv/image.sh
vdr-iptv.x86_64: E: executable-marked-as-config-file /etc/vdr/plugins/iptv/webcam.sh
vdr-iptv.x86_64: E: executable-marked-as-config-file /etc/vdr/plugins/iptv/internetradio.sh
1 packages and 0 specfiles checked; 7 errors, 1 warnings.
# echo 'rpmlint-done:'
->OK


Requires
--------
vdr-iptv (rpmlib, GLIBC filtered):
    /bin/sh
    config(vdr-iptv)
    libc.so.6()(64bit)
    libcurl.so.4()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)
    vdr(abi)(x86-64)



Provides
--------
vdr-iptv:
    config(vdr-iptv)
    libvdr-iptv.so.2.0.0()(64bit)
    vdr-iptv
    vdr-iptv(x86-64)



Source checksums
----------------
http://www.saunalahti.fi/rahrenbe/vdr/iptv/files/vdr-iptv-2.0.2.tgz :
  CHECKSUM(SHA256) this package     : 97d6dfdc8a808a2959a72aafb315b4f1206e1c3150d0d085ceb68d5b8260daf5
  CHECKSUM(SHA256) upstream package : 97d6dfdc8a808a2959a72aafb315b4f1206e1c3150d0d085ceb68d5b8260daf5


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1055730
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


Once %{vdr_configdir}/plugins/iptv is owned by your package (just add %dir %{vdr_configdir}/plugins/iptv to the %files section), I will approve your package.

Comment 12 MartinKG 2014-02-12 12:31:47 UTC
Spec URL: https://dl.dropboxusercontent.com/s/r9ugj1tsz7erxob/vdr-iptv.spec
SRPM URL: https://dl.dropboxusercontent.com/s/ufr1h5hd2n8ze1q/vdr-iptv-2.0.2-6.fc20.src.rpm

(In reply to Mohamed El Morabity from comment #11)
> 
> Once %{vdr_configdir}/plugins/iptv is owned by your package (just add %dir
> %{vdr_configdir}/plugins/iptv to the %files section), I will approve your
> package.

done

Comment 13 Mohamed El Morabity 2014-02-12 12:35:17 UTC
This package is APPROVED!
Thanks for your work and your patience.

Comment 14 MartinKG 2014-02-12 12:54:14 UTC
Thanks you for your excelent preview.

New Package SCM Request
=======================
Package Name: vdr-iptv
Short Description: A multicast IPTV transport stream plugin for VDR
Owners: martinkg
Branches: f20 f21
InitialCC:

Comment 15 Gwyn Ciesla 2014-02-12 13:01:27 UTC
Git done (by process-git-requests).

Comment 16 Fedora Update System 2014-02-12 17:51:48 UTC
vdr-iptv-2.0.2-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/vdr-iptv-2.0.2-6.fc20

Comment 17 MartinKG 2014-02-12 18:16:18 UTC
vdr-iptv has been built successfully on fc20 and fc21.

Comment 18 Ville Skyttä 2014-02-15 10:25:12 UTC
(In reply to Mohamed El Morabity from comment #11)
> [x]: Useful -debuginfo package or justification otherwise.

No, it's not useful, it's completely empty! One way to fix it:

-make CFLAGS="%{optflags} -fPIC" CXXFLAGS="%{optflags} -fPIC" %{?_smp_mflags} all
+make CFLAGS="%{optflags} -fPIC" CXXFLAGS="%{optflags} -fPIC" STRIP=: %{?_smp_mflags} all
[

Comment 19 Fedora Update System 2014-02-15 14:08:36 UTC
vdr-iptv-2.0.2-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/vdr-iptv-2.0.2-7.fc20

Comment 20 Fedora Update System 2014-02-16 23:23:59 UTC
Package vdr-iptv-2.0.2-7.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vdr-iptv-2.0.2-7.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2641/vdr-iptv-2.0.2-7.fc20
then log in and leave karma (feedback).

Comment 21 Fedora Update System 2014-02-25 07:55:44 UTC
vdr-iptv-2.0.2-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.